### 2024-10-31(周四)

**【今日工作概要】**
* 根据推广人APP、商家端APP、支付小程序前端页面梳理项目功能。
* 结合梳理的功能列举一部分对象化的类以及属性。
* 今日工作梳理分享以及询问姜哥项目中不懂的问题。

**【工作遇到问题】**
* 在列举工作内容时有很多不懂的内容和逻辑，最后都询问姜哥解决了。
* 在梳理对象I/O时只考虑了前端页面，没有考虑后台以及后端服务的逻辑关系，导致梳理的内容与实际有所缺失。

**【明日工作计划】**
* 从前端到后台再到后台服务一体式一次性的梳理内容
* 罗列项目内容，根据功能I/O书写对象化类
* 将内容以文档的形式记录下来

### 2024-11-01(周五)

**【今日工作概要】**
* 从前端到后台再到后台服务一体式一次性的梳理内容
* 学习进件流程以及金豆逻辑
* 梳理项目主要功能(进件、商家管理、支付、金豆逻辑)逻辑 - 项目主要功能逻辑.docx
* 编写11月工作计划 - https://kdocs.cn/l/ci8O7KjoUegq

**【明日工作计划】**
* 正式进入项目重构开发
* 推广人APP业务整理
* 推广人APP后端项目重构搭建

### 2024-11-04(周一)

**【今日工作概要】**
* 推广人APP业务整理
* 推广人对象类梳理 - 推广人APP对象类.pdf
* 创建推广人业务数据库表结构

**【明日工作计划】**
* 推广人APP后端项目重构搭建
* 创建推广人业务后端对象类及方法
* 编写推广人APP登录、注册、个人信息接口

### 2024-11-05(周二)

**【今日工作概要】**
* 推广人APP后端项目重构搭建
* 创建字典表、推广人表对象类及方法
* 创建推广人业务数据库表结构
* 创建省市区表以及相关地区数据
* 编写推广人APP登录、注册接口
* 编写公共图片上传接口

**【明日工作计划】**
* 编写推广人进件相关接口
* 编写省市区三级联动接口

### 2024-11-06(周三)

**【今日工作概要】**
* 编写省市区三级联动接口
* 创建进件表、商家表、商家管理表对象类及方法
* 编写新增进件、进阶列表、进件前台审核接口
* 编写对应yapi接口文档

**【明日工作计划】**
* 对接银盛进件系统

### 2024-11-07(周四)

**【今日工作概要】**
* 梳理之前Java写的银盛进件项目
* 调试之前业务代码

**【工作遇到问题】**
* 代码一直调不调，Maven依赖包一直报错，无法运行

**【明日工作计划】**
* 调通项目，可以通过postman测试接口
* 梳理银盛进件流程以及需要的数据

### 2024-11-08(周五)

**【今日工作概要】**
* 调通Java进件相关项目，并使用postman测试完毕
* 熟悉银盛进件流程，已熟悉从资料上传到进件完成全部业务过程
* 梳理银盛进件参数，以及前后端需要准备的内容

**【工作遇到问题】**
* Maven依赖包一直报错，可以尝试删除文件的idea缓存重新打开，并重启安装依赖包可以有效解决

**【明日工作计划】**
* 梳理银盛进件前后端参数
* 前后端联调银盛进件，争取可以完成资料上传逻辑

### 2024-11-11(周一)

**【今日工作概要】**
* 梳理银盛进件资料上送需求参数
* 完善进件相关数据库表结构
* 编写进件资料上送接口
* 后端使用go语言封装资料上送公共Java接口

**【明日工作计划】**
* 前后端联调进件资料上送

### 2024-11-12(周二)

**【今日工作概要】**
* 完善进件资料上送接口
* 编写进件相关资料修改，图片上送，进件审核接口
* 前后端调试资料上送(未调通)

**【明日工作计划】**
* 调通进件资料上送、资料修改，图片上送，进件审核接口

### 2024-11-13(周三)
### 2024-11-14(周四)
### 2024-11-15(周五)
### 2024-11-18(周一)
### 2024-11-19(周二)
### 2024-11-20(周三)
### 2024-11-21(周四)
### 2024-11-22(周五)

**【今日工作概要】**
* 编写进件其他接口，并已经调通
* 编写合同签约相关接口，并已调通
* 编写微信支付宝实名认证相关接口，并已调通
* 编写信息修改，报备等其他接口
* 编写商户管理端相关接口，并完成前端对接